Merges one input document into another

- « SolrInputDocument::hasChildDocuments

- SolrInputDocument::reset »

- PHP Manual
- SolrInputDocument
- Merges one input document into another

# SolrInputDocument::merge

(PECL solr >= 0.9.2)

SolrInputDocument::merge — Merges one input document into another

### Description

public SolrInputDocument::merge(SolrInputDocument `$sourceDoc`, bool `$overwrite` = `true`): bool

Merges one input document into another.

### Parameters

`sourceDoc`

  The source document.

`overwrite`

  If this is `true` it will replace matching fields in the destination document.

### Return Values

Returns `true` on success or `false` on failure. In the future, this will be modified to return the number of fields in the new document.